from ase.all import *

nimages=6

atoms3=read("../Kpts_2x2x3/POSCAR")
atoms7=read("../Two_A2_Sites/POSCAR")

scaled3=atoms3.get_scaled_positions()
scaled7=atoms7.get_scaled_positions()

atoms3.set_scaled_positions(scaled3)
atoms7.set_scaled_positions(scaled7)

for iatom in range(len(atoms3)):
    for iaxis in range(3):
        if scaled3[iatom,iaxis] > 0.92:
            atoms3[iatom].position=atoms3[iatom].position-atoms3.cell[iaxis]
        if scaled7[iatom,iaxis] > 0.92:
            atoms7[iatom].position=atoms7[iatom].position-atoms7.cell[iaxis]

#view([atoms3,atoms7])
write("POSCAR00",atoms3,vasp5=True)
write("POSCAR%02d"%(nimages+1),atoms7,vasp5=True)

pos3=atoms3.get_positions()
pos7=atoms7.get_positions()

pos_diff=pos7-pos3

cell3=atoms3.get_cell()
cell7=atoms7.get_cell()

cell_diff=cell7-cell3

for image in range(1,nimages+1):
    tmp_atoms=atoms3.copy()
    tmp_atoms.set_cell(cell3+float(image)/float(nimages+1)*cell_diff)
    tmp_atoms.set_positions(pos3+float(image)/float(nimages+1)*pos_diff)
    write("POSCAR%02d"%image,tmp_atoms,vasp5=True)

