#!/bin/bash

for iconfig in {0..39} ;
do
  cd Config$iconfig
  echo  $iconfig $pwd
  if [[ -e ./OUTCAR ]] ;
  then
    converged=$(grep -c 'reached required accuracy' ./OUTCAR);
    nsteps=$(grep -c aborting ./OUTCAR);
  else
    converged=0
    nsteps=0;
  fi
  
  if (( $converged==0 || $nsteps!=1 )) ;
  then
    echo ${idope} $iconfig $( grep "free  energy" OUTCAR | tail -1 ) >> ../not_converged.txt
    #echo Dope${idope}/vac${iconfig} >> ../../submit_unconverged.sh
  else
    echo ${idope} $iconfig $( grep "free  energy" OUTCAR | tail -1 ) >> ../converged.txt
    cp POSCAR POSCAR_END
    if [[ -e WAVECAR ]] ;
    then 
      rm CONTCAR WAVECAR CHGCAR ;
    fi
    if [[ -e vasprun.xml ]] ;
    then
      /home/msd30/bin/tidyvasp.bash ;
    fi
    if [[ -e POTCAR ]] ;
    then
      rm POTCAR ;
    fi
    echo Dope${idope}/vac${iconfig} >> ../scp_converged.sh
  fi
  cd ../;
done
